List available warehouses

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/warehouses

Returns all warehouses accessible to your account based on active 3PL customer plans. Use the id from the response as warehouse_id when creating Inventory Requests or Middle Mile Orders.

Responses

  • 200 application/json

    deduplicates warehouses shared across multiple plans

    Hide response attributes Show response attributes object
    • id integer Required

      Warehouse ID — use as warehouse_id in other API calls

    • warehouse_name string Required

      Internal warehouse name

    • go_ramp_warehouse_id string | null

      GoRamp warehouse identifier

    • customer_address object | null

      Physical address of the warehouse

  • 401 application/json

    unauthorized — missing org_id

    Hide response attribute Show response attribute object
    • error string
  • 404 application/json

    threepl customer not found

    Hide response attribute Show response attribute object
    • error string
GET /v1/warehouses
curl \
 --request GET 'https://api.pattern.com/hub/v1/warehouses' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 42,
    "warehouse_name": "string",
    "go_ramp_warehouse_id": "string",
    "customer_address": {}
  }
]
Response examples (401)
{
  "error": "string"
}
Response examples (404)
{
  "error": "string"
}